Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.biojava.utils.cache
Class KeyedWeakReference

    java.lang.Object
      java.lang.ref.Reference<T>
          java.lang.ref.WeakReference
              org.biojava.utils.cache.KeyedWeakReference

    public class KeyedWeakReference

extends WeakReference

Subclass of WeakReference which includes and extra field (the key) which can be used to help cleanup once this reference has been enqueued.

Since:
  1.3
Author:
  Thomas Down

Constructor Summary
`KeyedWeakReference(Object key, Object ref)`
`KeyedWeakReference(Object key, Object ref, ReferenceQueue queue)`

Method Summary
`Object` | `getKey()`

Methods inherited from class java.lang.ref.Reference
`clear, enqueue, get, isEnqueued`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### KeyedWeakReference

    public KeyedWeakReference(Object key,
                              Object ref)

### KeyedWeakReference

    public KeyedWeakReference(Object key,
                              Object ref,
                              ReferenceQueue queue)

Method Detail

### getKey

    public Object getKey()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD